Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.matrixJep
Class MatrixPartialDerivative

    java.lang.Object
      java.util.Observable
          org.nfunk.jep.Variable
              org.lsmp.djep.xjep.XVariable
                  org.lsmp.djep.djep.PartialDerivative
                      org.lsmp.djep.matrixJep.MatrixPartialDerivative

All Implemented Interfaces:
  java.util.Observer, MatrixVariableI

    public class MatrixPartialDerivative

extends PartialDerivative
implements MatrixVariableI

Contains information about a PartialDerivative of a variable.

Author:
  Rich Morris Created on 29-Oct-2003 TODO Should setValue be overwritten?

Field Summary

Fields inherited from class org.nfunk.jep.Variable
`name`

Constructor Summary
`protected` | `MatrixPartialDerivative(MatrixVariable var, java.lang.String[] derivnames, Node deriv)` Protected constructor, should only be constructed through the findDerivative method in `MatrixVariable`.

Method Summary
`Dimensions` | `getDimensions()` The dimension of the variable.
`MatrixValueI` | `getMValue()` Returns the value container of this variable.
`void` | `setDimensions(Dimensions dims)` Sets the dimension of the variable.
`void` | `setMValue(MatrixValueI val)` Sets the value of the variable (matrix aware).

Methods inherited from class org.lsmp.djep.djep.PartialDerivative
`findDerivative, getDnames, getName, getRoot, toString, update`

Methods inherited from class org.lsmp.djep.xjep.XVariable
`calcValue, getEquation, hasEquation, setEquation, toString`

Methods inherited from class org.nfunk.jep.Variable
`getValue, hasValidValue, isConstant, setIsConstant, setValidValue, setValue, setValueRaw`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.lsmp.djep.matrixJep.MatrixVariableI
`getEquation, getName, hasEquation, hasValidValue, isConstant, setValidValue`

Constructor Detail

### MatrixPartialDerivative

    protected MatrixPartialDerivative(MatrixVariable var,
                                      java.lang.String[] derivnames,
                                      Node deriv)

  Protected constructor, should only be constructed through the findDerivative method in `MatrixVariable`.

Method Detail

### getDimensions

    public Dimensions getDimensions()

  Description copied from interface: `MatrixVariableI`
  The dimension of the variable.

  Specified by:
    `getDimensions` in interface `MatrixVariableI`

### setDimensions

    public void setDimensions(Dimensions dims)

  Description copied from interface: `MatrixVariableI`
  Sets the dimension of the variable. Will also allocate appropriate space for value container.

  Specified by:
    `setDimensions` in interface `MatrixVariableI`

### getMValue

    public MatrixValueI getMValue()

  Description copied from interface: `MatrixVariableI`
  Returns the value container of this variable. There is no setMValue as the value can be changed by setting the individual elements of value container.

  Specified by:
    `getMValue` in interface `MatrixVariableI`

### setMValue

    public void setMValue(MatrixValueI val)

  Description copied from interface: `MatrixVariableI`
  Sets the value of the variable (matrix aware).

  Specified by:
    `setMValue` in interface `MatrixVariableI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems